// 控制台打印版本提示
// 开发环境才提示，生产环境不会提示
import config from './common/config.js'
if (process.env.NODE_ENV === 'development') {
	console.log(`\n %c 作者：${config.author} ${config.minName} V${config.version} %c ${config.companyUrl} \n\n`,
		'color: #ffffff; background: #3c9cff; padding:5px 0;', 'color: #3c9cff;background: #ffffff; padding:5px 0;');
}
import Vue from 'vue'
import App from './App'
// vuex
import store from './store'
Vue.prototype.$store = store
// 引入全局uView
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)
// 引入全局公用方法
import mixin from './common/mixin'
Vue.mixin(mixin)
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	store,
	...App
})
// 引入请求封装
require('./util/request/index')(app)
app.$mount()
